summaryrefslogtreecommitdiffstats
path: root/graphics/lensfun03
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/lensfun03')
-rw-r--r--graphics/lensfun03/README9
-rw-r--r--graphics/lensfun03/lensfun03.SlackBuild127
-rw-r--r--graphics/lensfun03/lensfun03.info10
-rw-r--r--graphics/lensfun03/slack-desc19
4 files changed, 165 insertions, 0 deletions
diff --git a/graphics/lensfun03/README b/graphics/lensfun03/README
new file mode 100644
index 0000000000..eb262929fe
--- /dev/null
+++ b/graphics/lensfun03/README
@@ -0,0 +1,9 @@
+Photographic lens info database
+
+lensfun is a library that provide a open source database of
+photographic lenses and their characteristics also provides a set of
+algorithms for correcting images based on detailed knowledge of lens
+properties and calibration data.
+
+This is version 0.3.x which should not conflict with Slackware's
+version and is needed by darktable.
diff --git a/graphics/lensfun03/lensfun03.SlackBuild b/graphics/lensfun03/lensfun03.SlackBuild
new file mode 100644
index 0000000000..d0e56962c9
--- /dev/null
+++ b/graphics/lensfun03/lensfun03.SlackBuild
@@ -0,0 +1,127 @@
+#!/bin/bash
+
+# Copyright 2009, 2010, 2012, 2017, 2019 Eric Hameleers, Eindhoven, NL
+# Copyright 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# 20230510 bkw: BUILD=2, get rid of /etc/ld.so.conf.d/
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=lensfun03
+SRCNAM=lensfun
+VERSION=${VERSION:-0.3.3}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z
+cd $SRCNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+mkdir cmake-build
+cd cmake-build
+ cmake \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/opt/$PRGNAM \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DBUILD_LENSTOOL=ON \
+ -DBUILD_FOR_SSE=ON \
+ -DBUILD_FOR_SSE2=ON \
+ -DBUILD_TESTS=OFF \
+ -DINSTALL_HELPER_SCRIPTS=ON \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/${PRGNAM}-$VERSION
+cp -a \
+ ChangeLog README* docs/*.txt \
+ $PKG/usr/doc/${PRGNAM}-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/${PRGNAM}-$VERSION/$PRGNAM.SlackBuild
+
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PRGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/lensfun03/lensfun03.info b/graphics/lensfun03/lensfun03.info
new file mode 100644
index 0000000000..ebd51fe94c
--- /dev/null
+++ b/graphics/lensfun03/lensfun03.info
@@ -0,0 +1,10 @@
+PRGNAM="lensfun03"
+VERSION="0.3.3"
+HOMEPAGE="http://lensfun.sourceforge.net"
+DOWNLOAD="https://github.com/lensfun/lensfun/archive/v0.3.3/lensfun-0.3.3.tar.gz"
+MD5SUM="04e0b58fd685ee680b0d70d61f0a5c17"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="D Woodfall"
+EMAIL="dave@slackbuilds.org"
diff --git a/graphics/lensfun03/slack-desc b/graphics/lensfun03/slack-desc
new file mode 100644
index 0000000000..e916387358
--- /dev/null
+++ b/graphics/lensfun03/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lensfun03: lensfun03 (photographic lens info database)
+lensfun03:
+lensfun03: lensfun is a library that provide a open source database of
+lensfun03: photographic lenses and their characteristics also provides a set of
+lensfun03: algorithms for correcting images based on detailed knowledge of lens
+lensfun03: properties and calibration data.
+lensfun03:
+lensfun03: Homepage: http://lensfun.sourceforge.net
+lensfun03:
+lensfun03:
+lensfun03: